package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * '交易状态(1,交易中;2,成功交易;3,交易失败，4交易关闭;)',
 */
public enum DealStatusEnum implements BaseEnum<Integer, DealStatusEnum> {
	ING(1, "交易中"),
	SUCCESS(2, "成功交易"),
	FAilED(3, "交易失败"),
	CLOSE(4, "交易关闭");

	private Integer code;

	private String msg;

	DealStatusEnum(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
